Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Fri, 22 May 2015 15:54:21 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Oleh Krehel <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 22 May 2015 15:15:45 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Btw, in the version of DejaVu Sans Mono I just downloaded from their
>> > site doesn't cover the U+01D779 character.
>> 
>> It appears to re-use the system fixed width font (Ubuntu Mono 13) in
>> case the selected font (DejaVu Sans Mono) doesn't support a char.
>
> So that means the problem is not with DejaVu Sans Mono, it's with the
> fallback font, right?

Right.

I'm looking at xdisp.c now. When I set this:

    it->max_ascent = 0;
    it->max_descent = 0;

the problem disappears. Of course, it causes a problem in places where
ascent and descent are actually used, like for displaying images. I just
need to figure out how it->max_ascent gets computed from glyph->descent.